Space Sites

List Space Sites

List space sites

get
/v1/space/{spaceId}/site/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

spaceIdstring* Required

cursorstring

The cursor to use for pagination

orderstring

The order of the paginated items

takeinteger

The number of items to retrieve

metaobject

Key-value pairs to filter the sites by metadata

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.space.site.list(

spaceId
)
{
"items":[
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"domain":"string",
"prefix":"string",
"index":"string",
"notFound":"string"
}
],
"cursor":"string"
}
The list of sites was retrieved successfully